Subject: bug#11144: bootstrap w/gcc-4.8.0 + nonzero MALLOC_PERTURB_ -> ./temacs segfault

From: Paul Eggert <[email-masked]>
Date: Tue, 10 Apr 2012 09:36:53 -0700

On 04/10/2012 02:13 AM, Jim Meyering wrote:

> This has struck again, now using gcc version 4.8.0 20120406
> I've reopened the bug.

This is in an area of Emacs code that is sensitive to
minor details in how the C compiler works, and it's
quite possible that the bug is in Emacs, not in GCC.
Certainly I've seen similar tracebacks which came
from Emacs bugs.

If you're bisecting, you might want to look at Emacs
trunk bzr 107789, which I committed three days ago, and
which affects this part of the code.  I don't offhand
see why it would cause the problem (though perhaps
it might *fix* the problem :-).